# Contributing to Word to Markdown

## What should I do if my document doesn't convert correctly

1. Strip the Word Document down to isolate the troublesome part (e.g., remove the parts that are converting correctly)
2. Upload the `.doc` or `.docx` file to someplace like DropBox
3. [Open a new issue](https://github.com/benbalter/word-to-markdown/issues/new) describing the particular problem. Be sure to include a link to the uploaded file.

## Tips for reporting problems

* If a document isn't converting properly, isolate the troublesome section
* Explain the expected output, actual output, and steps to reproduce
* Bonus points for screenshots of the expected and actual output
* Issues should be limited to one conversation error and describe it in detail. Issues that report "My document won't convert" or "I have these three problems" are less likely to be resolved quickly.
* Be sure to include what version of Microsoft Word was used to create the document

## Contributing code

1. Fork the project
2. Create a descriptively named feature branch
3. Commit your proposed change
4. Submit a pull request.

*For more information see [GitHub flow](http://guides.github.com/overviews/flow/).*
